httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe Jr." <wr...@rowe-clan.net>
Subject Re: [VOTE] Release httpd 2.3.4-alpha
Date Tue, 01 Dec 2009 00:54:24 GMT
Sander Temme wrote:
> On Nov 30, 2009, at 1:12 PM, "William A. Rowe Jr." <wrowe@rowe-clan.net>
> 
>> Look, PCRE is a mandatory component.  APR is a mandatory component.
>> Let's please start applying some rhyme to our reasoning again.
> 
> Meaning?  Put pcre in -deps?  With libz?  That's mandatory for deflate.

Mandatory 'for a feature' is not the same thing as mandatory to build
the damned thing ... zlib is no more 'required' than libiconv; you'll
lose a couple features but you'll keep on plugging away.

PCRE is a critical, don't pass go, don't collect $200 feature.  And what
is passing for an excuse for a local PCRE install these days probably
doesn't look like 7.8 or later, with various fixes we are vulnerable to.

So until we support building sans-pcre, it would seem like a good idea
to bundle it with whatever 'extras' we ship.

Mime
View raw message